%define upstream_name PCredz

Name:       pcredz
Version:    1.0.0
Release:    %mkrel 2
Summary:    Extracts authentication credentials from network captures
Group:      Security
License:    GPLv3+
URL:        http://github.com/lgandx/PCredz/
Source0:    http://github.com/lgandx/PCredz/archive/PCredz-%{version}.tar.gz
BuildArch:  noarch
Requires:   python-pylibpcap

%description
Pcredz extracts and dumps authentication information from either a live network
capture or a pcap dump file. It works on the following (unencrypted) protocols:

- POP
- SMTP
- IMAP
- SNMP community string
- FTP
- HTTP Basic
- NTLMv1/v2 (DCE-RPC,SMBv1/2,LDAP, MSSQL, HTTP, etc)
- Kerberos (AS-REQ Pre-Auth etype 23) hashes.

It can also optionally, although with far lesser certainty, print sniffed
strings that appear to be credit card numbers.

%prep
%setup -q -n %{upstream_name}-%{version}

%build

%install
install -D -m 755 Pcredz %{buildroot}%{_bindir}/pcredz

%files
%doc Readme.md
%{_bindir}/pcredz


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 952284
- Mageia 6 Mass Rebuild

* Tue Feb 10 2015 guillomovitch <guillomovitch> 1.0.0-1.mga5
+ Revision: 814556
- imported package pcredz

